Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
Posts: 18
Registered: ‎05-06-2013
My Device: BB Z10
My Carrier: AXIS

Wrong version error when submitting app to appworld

Hello,

 

I got this error message when I submit my latest version app:

I set the version in myapp.xml to 1.2.1. Did i miss or forgetting something?

 

The package version in your .bar manifest file for [my app name] must be greater than the previous version, but lower than any the next release version added to the vendor portal. Your .bar manifest file package version must be greater than 1.0.1 but less than 2.0. Correct your .bar manifest file and try again to continue.

 

 

 

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Wrong version error when submitting app to appworld

Are you certain you re-packaged the file after you changed the version?
Developer
Posts: 18
Registered: ‎05-06-2013
My Device: BB Z10
My Carrier: AXIS

Re: Wrong version error when submitting app to appworld

I am sure I already re-package it. I also checked the version in my-app.xml inside the bar created.

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: Wrong version error when submitting app to appworld

can you check the version number in your MANIFEST.MF? (open your *.bar with 7zip or winrar, it's in the META-INF folder)

 

there should be something like this

 

Package-Version: 1.0.0.23
Package-Version-Id: gYACgFbFrOnRawQihPOexhjJlGU
Package-Architecture: armle-v7
Package-Author-Certificate-Hash: siefhsiufoiusabcxxxxxxxxxxxxxxxxxxxxxxxx
Package-Issue-Date: 2013-04-17T16:28:49Z

Application-Id: gYADgDVblu9Vl2qNEPanmB8JyCo
Application-Version: 1.0.0.23
Application-Version-Id: gYAEgOdiRfdZT_dfkxreNoJXyMg
Application-Requires-System: BlackBerry 10/10.0.0.0
Application-Development-Mode: false

 

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 18
Registered: ‎05-06-2013
My Device: BB Z10
My Carrier: AXIS

Re: Wrong version error when submitting app to appworld

here is my MANIFEST.MF file content. it say version 1.2.1.1, different from what i set in the xml file ( 1.2.1 )
Archive-Manifest-Version: 1.5
Archive-Created-By: BlackBerry Air BAR Packager 1.9

Package-Type: application
Package-Author: [my app name]
Package-Author-Id: gYAAgDuYtJVW1YsaN3mwWssXcYg
Package-Name: [my package name]
Package-Id: gYABgGhvljHAYyApPE_dth7Y7Zg
Package-Version: 1.2.1.1
Package-Version-Id: gYACgChbryFk8exay8vbmwrjTEc
Package-Architecture: armle-v7
Package-Author-Certificate-Hash: S2G4abSgBMtX-4Du_O4sP47UjrUPyevPmp2Q7U0-noCFInJKDYvluDjnDIRPbEIMZfnlMzxe9aU9LxFtMOZNzA
Package-Issue-Date: 2013-07-16T07:07:21Z

Application-Name: [my app name]
Application-Id: gYADgHqQQYy13C5y5T2iKVLvouE
Application-Description: [my app name]
Application-Version: 1.2.1.1
Application-Version-Id: gYAEgPLGLl9dvVhkTSN6Mk0VTy4
Application-Category: core.media
Application-Requires-System: BlackBerry 10/1.0.8.0
Application-Development-Mode: false

 

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: Wrong version error when submitting app to appworld

your manifest looks correct. It doesn't matter that it says 1.2.1.1, because the last digit is probably the signing version.

 

which means, going back to the problem, that you probably did something incorrect in the vendor portal. What was the version number of your last release (if possible, with Manifest again), and what version number did you set in the vendor portal when you created the new release?

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 18
Registered: ‎05-06-2013
My Device: BB Z10
My Carrier: AXIS

Re: Wrong version error when submitting app to appworld

my app version before is 1.0.1

 

Package-Type: application
Package-Author: [my app name]
Package-Author-Id: gYAAgDuYtJVW1YsaN3mwWssXcYg
Package-Name: [my app package]
Package-Id: gYABgGhvljHAYyApPE_dth7Y7Zg
Package-Version: 1.0.1.1
Package-Version-Id: gYACgLlBU6lmBkLEfJ6xHyblXp4
Package-Architecture: armle-v7
Package-Author-Certificate-Hash: S2G4abSgBMtX-4Du_O4sP47UjrUPyevPmp2Q7U0-noCFInJKDYvluDjnDIRPbEIMZfnlMzxe9aU9LxFtMOZNzA
Package-Issue-Date: 2013-06-27T10:40:36Z

Application-Name: [my app name]
Application-Id: gYADgHqQQYy13C5y5T2iKVLvouE
Application-Description: [my app name]
Application-Version: 1.0.1.1
Application-Version-Id: gYAEgHwVY2nz_muscBzvPx7dlIc
Application-Category: core.media
Application-Requires-System: BlackBerry 10/1.0.8.0
Application-Development-Mode: false

 

I set the version in the vendor portal to 1.2.1 when submit myapp new release.

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: Wrong version error when submitting app to appworld

actually, everything looks correct

 

But since it says

The package version in your .bar manifest file for [my app name] must be greater than the previous version, but lower than any the next release version added to the vendor portal. 

 try modifying the version in the vendor portal. 1.2.2 or 1.2.0 maybe?

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 18
Registered: ‎05-06-2013
My Device: BB Z10
My Carrier: AXIS

Re: Wrong version error when submitting app to appworld

I try with those version but still no luck, same error message shows

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: Wrong version error when submitting app to appworld

ok, last idea: try contacting the vendor support directly. Maybe they can explain what exactly you have to do Smiley Wink

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o